Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaSimpleType

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaType
                  org.apache.ws.commons.schema.XmlSchemaSimpleType

    public class XmlSchemaSimpleType

extends XmlSchemaType

Class defines a simple type that determines the information and constraints for the values of attributes or elements with text-only content. Represents the World Wide Web Consortium (W3C) simpleType element.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaSimpleType(XmlSchema schema)` Creates new XmlSchemaSimpleType

Method Summary
`XmlSchemaSimpleTypeContent` | `getContent()`
`void` | `setContent(XmlSchemaSimpleTypeContent content)`
`java.lang.String` | `toString(java.lang.String prefix, int tab)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaType
`getBaseSchemaType, getBaseSchemaTypeName, getDataType, getDeriveBy, getFinal, getFinalResolved, getName, getQName, isMixed, setFinal, setMixed, setName, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaSimpleType

    public XmlSchemaSimpleType(XmlSchema schema)

  Creates new XmlSchemaSimpleType

Method Detail

### getContent

    public XmlSchemaSimpleTypeContent getContent()

### setContent

    public void setContent(XmlSchemaSimpleTypeContent content)

### toString

    public java.lang.String toString(java.lang.String prefix,
                                     int tab)

  Overrides:
    `toString` in class `XmlSchemaObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 The Apache Software Foundation. All Rights Reserved.